io.vertx.rxjava.ext.web.handler

## Class UserSessionHandler

- java.lang.Object
- - io.vertx.rxjava.ext.web.handler.UserSessionHandler

- All Implemented Interfaces:
    Handler<RoutingContext>

      public class UserSessionHandler
      extends Object
      implements Handler<RoutingContext>

  This handler should be used if you want to store the User object in the Session so it's available between different requests, without you having re-authenticate each time. It requires that the session handler is already present on previous matching routes. It requires an Auth provider so, if the user is deserialized from a clustered session it knows which Auth provider to associate the session with.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TypeArg<UserSessionHandler>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserSessionHandler(UserSessionHandler delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UserSessionHandler` | `create(AuthProvider authProvider)` Create a new handler
    `UserSessionHandler` | `getDelegate()`
    `void` | `handle(RoutingContext arg0)` Something has happened, so handle it.
    `static UserSessionHandler` | `newInstance(UserSessionHandler arg)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final TypeArg<UserSessionHandler> __TYPE_ARG

  - ### Constructor Detail

    - #### UserSessionHandler

          public UserSessionHandler(UserSessionHandler delegate)

  - ### Method Detail

    - #### getDelegate

          public UserSessionHandler getDelegate()

    - #### handle

          public void handle(RoutingContext arg0)

      Description copied from interface: `Handler`
      Something has happened, so handle it.
      Specified by:
        `handle` in interface `Handler<RoutingContext>`
      Parameters:
        `arg0` - the event to handle

    - #### create

          public static UserSessionHandler create(AuthProvider authProvider)

      Create a new handler
      Parameters:
        `authProvider` - The auth provider to use
      Returns:
        the handler

    - #### newInstance

          public static UserSessionHandler newInstance(UserSessionHandler arg)

Copyright © 2017. All rights reserved.